XFISHTANK(1)

NAME
xfishtank - Fish swimming across your desktop

SYNOPSIS
xfishtank [-c <color>] [-b <limit>] [-f <limit>] [-i <mult>] [-r <rate>] [-m <num>] [-C <num>] [-d] [-p <file>] [host:display]

DESCRIPTION

xfishtank is a animation program to simulate an Aquarium on your X desktop.

OPTIONS

-b number
    Number of bubbles (Default: 32)

-f limit
    Number of fishes (Default: 10)

-bc color
    Color of bubbles (Default: lightblue)

-bgc color
    Color background (Default: darkblue) (NOTE: works only when running under xscreensaver.

-speed number
    Speed of fishes (Default: 100)

-defaults
    Use default options

-nomenu
    Minimize the interactive menu

-display DISPLAY
    Use this display to draw in (Default:"")

-root
    Use root-window or xscreensaver-provided window to draw in

--root
    Same as -root

-h  Show usage information

-v  Show version

-allworkspaces n
    n = 0: show fishes only in current workspace.
    n = 1: show fishes on all workspaces.

-monitor n
    n >= 0: show fishes only in monitor n.
    n = -1: show fishes in all monitors.

-changelog
    Show ChangeLog and exit

-selfrep
    Output gzipped tar file of the source and exit

XSCREENSAVER

If you want to run xfishtank under xscreensaver, add a line like this to
    $HOME/.xscreensaver:
          xfishtank -root \n\

FILES

$HOME/.xfishtankrc
    Settings are read from and written to this file.

SEE ALSO

X(1), xsetroot(1x), xsnow(6), xroach(1), xroachng(1), xpenguins(1)

AUTHORS
Eric Bina, <ebina@ncsa.uiuc.edu> (Original author)

Dave Black, <dlbb0@amdahl.com> (Linux port)

TJ Phan, <phan@aur.alcatel.com> (TrueColor Support)

Vincent Renardias <vincent@waw.com> (man page, Debian packaging)

Willem Vermin (adaption to modern desktops / double buffering)